import { ElementRef, QueryList, Renderer2, OnInit, AfterViewInit } from '@angular/core';
import { EventsService } from './../../services/events.service';
import BaseSection from '../BaseSection';
import { BackgroundModel, LayOutModel } from '../../styles/style.model';
import { TestimonialSliderModel, TestimonialSliderContentModel, TestimonialSliderStylesModel } from './testimonial-slider.model';
import * as i0 from "@angular/core";
export declare class TestimonialSliderComponent extends BaseSection implements OnInit, AfterViewInit {
    private _eventService;
    private renderer;
    data?: TestimonialSliderModel;
    index?: number;
    edit?: boolean;
    delete?: boolean;
    customClass?: string;
    nextComponentColor?: BackgroundModel;
    sliderViewport: ElementRef<HTMLDivElement>;
    cardItems: QueryList<ElementRef<HTMLDivElement>>;
    content?: TestimonialSliderContentModel;
    style?: TestimonialSliderStylesModel;
    activeDotIndex: number;
    showLeftArrow: boolean;
    showRightArrow: boolean;
    constructor(_eventService: EventsService, renderer: Renderer2);
    ngOnInit(): void;
    get headingSpace(): import("simpo-component-library").SPACING | undefined;
    get getLayout(): LayOutModel;
    screenWidth: any;
    getScreenSize(): void;
    ngAfterViewInit(): void;
    checkScrollLimits(): void;
    getLength(): number;
    getDotsArray(): number[];
    scrollPrev(): void;
    scrollNext(): void;
    scrollToCard(index: number): void;
    onScroll(): void;
    editSection(): void;
    get stylesLayout(): LayOutModel;
    static ɵfac: i0.ɵɵFactoryDeclaration<TestimonialSliderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TestimonialSliderComponent, "simpo-testimonial-slider", never, { "data": { "alias": "data"; "required": false; }; "index": { "alias": "index"; "required": false; }; "edit": { "alias": "edit"; "required": false; }; "delete": { "alias": "delete"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; "nextComponentColor": { "alias": "nextComponentColor"; "required": false; }; }, {}, never, never, true, never>;
}
